Bug 1161172 - cups can't disable SSLv3
Summary: cups can't disable SSLv3
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: cups
Version: 7.0
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Tim Waugh
QA Contact: qe-baseos-daemons
Robert Krátký
URL:
Whiteboard:
Depends On: 1161171 1161218
Blocks: 1205796 1110700 1133060 1191021
TreeView+ depends on / blocked
 
Reported: 2014-11-06 15:01 UTC by Eric Rich
Modified: 2019-03-22 07:23 UTC (History)
5 users (show)

Fixed In Version: cups-1.6.3-19.el7
Doc Type: Bug Fix
Doc Text:
CUPS now disables SSLv3 encryption by default Previously, it was not possible to disable SSLv3 encryption in the CUPS scheduler, which left it vulnerable to attacks against SSLv3. To solve this issue, the *cupsd.conf* `SSLOptions` keyword has been extended to include two new options, `AllowRC4` and `AllowSSL3`, each of which enables the named feature in *cupsd*. The new options are also supported in the */etc/cups/client.conf* file. The default is now to disable both RC4 and SSL3 for *cupsd*.
Clone Of: 1161171
Environment:
Last Closed: 2015-11-19 12:10:05 UTC
Target Upstream Version:


Attachments (Terms of Use)
cups-str4476.patch (RHEL-7) (15.49 KB, patch)
2014-11-07 16:37 UTC, Tim Waugh
no flags Details | Diff
cups-str4476.patch (RHEL-7) (17.73 KB, patch)
2015-01-13 10:58 UTC, Tim Waugh
no flags Details | Diff


Links
System ID Private Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1334823 0 None None None Never
Red Hat Product Errata RHBA-2015:2386 0 normal SHIPPED_LIVE cups bug fix update 2015-11-19 10:49:22 UTC

Description Eric Rich 2014-11-06 15:01:31 UTC
+++ This bug was initially created as a clone of Bug #1161171 +++

Description of problem:

Cups can't disable SSLv3, so stunnel is the only workarround, per https://access.redhat.com/site/solutions/1234843

Please backport, the Upstream Fix: http://www.cups.org/str.php?L4476

Comment 2 Tim Waugh 2014-11-07 16:37:36 UTC
Created attachment 955007 [details]
cups-str4476.patch (RHEL-7)

Here's the patch I plan to use.

It's a more or less straightforward back-port.

It augments the cupsd.conf "SSLOptions" keyword to include two new options, AllowRC4 and AllowSSL3, each of which enables the named feature in cupsd. The default is now to disable both RC4 and SSL3 for cupsd.

It also introduces the new /etc/cups/client.conf "SSLOptions" keyword, with options AllowRC4 and AllowSSL3. In order to enforce this correctly, the system-wide /etc/cups/client.conf file is read first, and the user ~/.cups/client.conf file (in which "SSLOptions" is not valid) is read afterwards. The default is now for clients to use neither RC4 nor SSL3.

Comment 5 Tim Waugh 2015-01-13 10:58:10 UTC
Created attachment 979561 [details]
cups-str4476.patch (RHEL-7)

Improved patch.

Comment 9 errata-xmlrpc 2015-11-19 12:10:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2386.html


Note You need to log in before you can comment on or make changes to this bug.